/* development.html styles */

body {
  width: 100%;
  height: 120vh;
  margin: 0;
  padding: 0;
  /* overflow: hidden; */
  display: flex;
  flex-direction: column;
  font-family: 'Montserrat', sans-serif;
  color: #252a53;
}
.deck-widget {
  --button-size: 36px;
}
.deck-tooltip {
  font-family: 'Montserrat', sans-serif;
  font-size: 12px;
  color: white  !important;
  background-color: #252a53 !important;
}

.header {
  position: static;
  flex-shrink: 0;
}

#map-wrapper {
  width: 100vw;
  height: calc(100vh - 80px - 120px); /* subtracting header and footer */
  position: relative;
  flex-grow: 1;
}

html {
  font-size: 16px;
}

#overlay {
  position: absolute;
  top: 50px;
  right: 50px;
  width: 40%;
  background-color: white;
  border: 1px solid #252a53;
  opacity: 1;
  z-index: 1000;
  color: #252a53;
  padding: 1.25rem 2.5rem 2.5rem 2.5rem;
  font-family: 'Montserrat', sans-serif;
  font-size: clamp(0.5rem, 1.5vw, 0.75rem);
}

#overlay h2 {
  font-size: clamp(0.875rem, 2.5vw, 1.25rem) !important;
}

@media (max-width: 1024px) {
  html {
    font-size: 14px;
  }
  #overlay {
    width: 80%;
    right: 10%;
    top: 20px;
    padding: 0.9rem 1.25rem 1.5rem 1.25rem;
  }
}

@media (min-width: 1025px) and (max-width: 1440px) {
  html {
    font-size: 15px;
  }
}

@media (min-width: 1441px) {
  html {
    font-size: 16px;
  }
}

.indicator-buttons button {
  font-family: 'Montserrat', sans-serif;
  margin: 0px;
  margin-right: 4px;
  margin-bottom: 4px;
  cursor: pointer;
  color: white;
  background-color: #252a53;
  font-size: clamp(0.5rem, 1.2vw, 0.7rem);
  padding: clamp(0.3rem, 0.8vw, 0.5rem) clamp(0.6rem, 1.5vw, 1rem);
  transition: background-color 0.2s ease-in-out;
  border: 1px solid #252a53;
}

.indicator-buttons button:hover {
  background-color: #ac5737;
  border: 1px solid #ac5737;
}

.slider-container {
  display: flex;
  flex-direction: column;
  align-items: left;
  margin-top: 1.25rem;
  margin-right: 3.125rem;
  width: 100%;
}

.slider-labels {
  font-size: clamp(0.4rem, 1vw, 0.6rem);
}

.legend-labels {
  font-size: clamp(0.45rem, 1.1vw, 0.65rem);
}

@media (max-width: 1024px) {
  .slider-container {
    margin-right: 1.25rem;
  }
}

.slider {
  /* margin-top: 10px; */
  -webkit-appearance: none;
  width: 100%;
  height: 6px;
  background: #ddd;
  border-radius: 5px;
  outline: none;
}
.slider-labels {
  display: flex;
  justify-content: space-between;
  width: 100%;
  margin-top: 5px;
}
.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 16px;
  height: 16px;
  background: #ac5737;
  border-radius: 50%;
  cursor: pointer;
  background-size: cover;
}
.legend {
  display: flex;
  width: 100%;
}
.legend-labels {
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}
.box {
  flex: 1;
  height: 20px;
}
.box:nth-child(1) { background-color: rgba(254, 247, 233, 255); }
.box:nth-child(2) { background-color: rgba(253, 239, 214, 255); }
.box:nth-child(3) { background-color: rgba(252, 230, 196, 255); }
.box:nth-child(4) { background-color: rgba(250, 219, 174, 255); }
.box:nth-child(5) { background-color: rgba(247, 206, 150, 255); }
.box:nth-child(6) { background-color: rgba(242, 190, 126, 255); }
.box:nth-child(7) { background-color: rgba(236, 170, 101, 255); }
.box:nth-child(8) { background-color: rgba(225, 146, 80, 255); }
.box:nth-child(9) { background-color: rgba(209, 120, 61, 255); }
.box:nth-child(10) { background-color: rgba(185, 94, 46, 255); }
.box:nth-child(11) { background-color: rgba(156, 68, 36, 255); }
.box:nth-child(12) { background-color: rgba(125, 47, 27, 255); }
.loader {
  position: absolute;
  top: 30px;
  right: 50%;
  z-index: 1000;
  width: 90px;
  height: 14px;
  background: repeating-linear-gradient(90deg,#252a53 0 calc(25% - 5px),#0000 0 25%) left/calc(4*100%/3) 100%;
  animation: l1 0.5s infinite linear;
}
@keyframes l1 {
  100% {background-position: right}
}

.footer {
  flex-shrink: 0;
}

@media (max-width: 768px) {
  #map-wrapper {
    height: calc(100vh - 3rem - 100px);
  }
}
